## org.eclipse.emf.importer.rose.builder
Class UnitTreeNode

    java.lang.Object
      org.eclipse.emf.importer.rose.builder.UnitTreeNode

    public class UnitTreeNode

extends java.lang.Object

Field Summary
`protected java.lang.String` `ecoreFileName`
`protected EList<EObject>` `extent`
`protected java.lang.String` `name`
`protected java.util.List<UnitTreeNode>` `nodes`
`protected java.lang.String` `quid`
`protected java.lang.String` `roseFileName`
`protected RoseNode` `roseNode`

Constructor Summary
`UnitTreeNode(java.lang.String name, java.lang.String quid, java.lang.String fileName)`

Method Summary
`void` `addNode(UnitTreeNode node)`
`java.lang.String` `getEcoreFileName()`
`EList<EObject>` `getExtent()`
`java.lang.String` `getName()`
`java.util.List<UnitTreeNode>` `getNodes()`
`java.lang.String` `getQUID()`
`java.lang.String` `getRoseFileName()`
`RoseNode` `getRoseNode()`
`void` `setEcoreFileName(java.lang.String ecoreFileName)`
`void` `setExtent(EList<EObject> extent)`
`void` `setName(java.lang.String name)`
`void` `setQUID(java.lang.String quid)`
`void` `setRoseFileName(java.lang.String roseFileName)`
`void` `setRoseNode(RoseNode roseNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### quid

    protected java.lang.String quid

### roseFileName

    protected java.lang.String roseFileName

### ecoreFileName

    protected java.lang.String ecoreFileName

### nodes

    protected java.util.List<UnitTreeNode> nodes

### extent

    protected EList<EObject> extent

### roseNode

    protected RoseNode roseNode

Constructor Detail

### UnitTreeNode

    public UnitTreeNode(java.lang.String name,
                        java.lang.String quid,
                        java.lang.String fileName)

Method Detail

### getRoseNode

    public RoseNode getRoseNode()

### setRoseNode

    public void setRoseNode(RoseNode roseNode)

### getRoseFileName

    public java.lang.String getRoseFileName()

### getEcoreFileName

    public java.lang.String getEcoreFileName()

### getQUID

    public java.lang.String getQUID()

### getName

    public java.lang.String getName()

### setRoseFileName

    public void setRoseFileName(java.lang.String roseFileName)

### setEcoreFileName

    public void setEcoreFileName(java.lang.String ecoreFileName)

### setName

    public void setName(java.lang.String name)

### setQUID

    public void setQUID(java.lang.String quid)

### addNode

    public void addNode(UnitTreeNode node)

### getNodes

    public java.util.List<UnitTreeNode> getNodes()

### setExtent

    public void setExtent(EList<EObject> extent)

### getExtent

    public EList<EObject> getExtent()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.